%define ocamlpck  time_now

Name:          ocaml-time_now
Version:       0.16.0
Release:       1mamba
Summary:       Reports the current time
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/janestreet/time_now
Source:        https://github.com/janestreet/time_now.git/v%{version}/time_now-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml-base-devel
BuildRequires: ocaml-runtime
BuildRequires: ocaml-sexplib0-devel
## AUTOBUILDREQ-END
BuildRequires: dune
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-jane-street-headers
BuildRequires: ocaml-ppx_optcomp-devel
BuildRequires: ocaml-ppx_base-devel
BuildRequires: ocaml-jst-config-devel

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n time_now-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc LICENSE*

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli

%changelog
* Thu Jul 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created using the webbuild interface
